'
' Erstellt mit SharpDevelop.
' Benutzer: Tobi
' Datum: 16.01.2018
' Zeit: 14:04
' 
' Sie können diese Vorlage unter Extras > Optionen > Codeerstellung > Standardheader ändern.
'
Public Partial Class MainForm
	Dim sAppPath As String
	Dim mInstalVerzeichnis As String
	Dim mEigeneDateienVerzeichnis As String
	Dim mWordpressVerzeichnis As String
	Dim mWordpressExportVerzeichnis As String
	Dim mNeuerProjektname As String
	Dim mZaehler As Integer
	Dim mSQL As String
	Dim mVorhandenesProjekt As String
	Dim mProgressbarMax As Integer
	Dim mAuswahlZaehler As Integer
	Dim mText As String
	Dim timeStamp As String
	Dim mImportdatei As String
	Dim mImportprojekt As String
	Dim mSchonVorhanden As Boolean
	Dim mSiteURL As String
	Dim mOrgSiteURL As String
	Dim meineIP As String
	Dim mWordpressProjekt As String
	Dim online As Boolean
	
	Dim mySQLConn As MySql.Data.MySqlClient.MySqlConnection = New MySql.Data.MySqlClient.MySqlConnection
	Dim READER As MySql.Data.MySqlClient.MySqlDataReader
	Dim COMMAND As MySql.Data.MySqlClient.MySqlCommand
	Dim mySQLBefehl As String
	
	
	Public Sub New()
		' The Me.InitializeComponent call is required for Windows Forms designer support.
		Me.InitializeComponent()
		
		'
		' TODO : Add constructor code after InitializeComponents
		'
	End Sub
	
	Sub MainFormLoad(sender As Object, e As EventArgs)
		meineIP=System.Net.Dns.GetHostByName(System.Net.Dns.GetHostName).AddressList.GetValue(0).ToString
		With Screen.PrimaryScreen.WorkingArea
			Me.Location = New Point(.Left + (.Right - .Left - Me.Width) / 2, .Top + ( _
				.Bottom - .Top - Me.Height) / 2)
		End With
		
		sAppPath = Application.StartupPath
		If Rechts(sAppPath, 1) = "\" Then
			mInstalVerzeichnis = sAppPath
		Else
			mInstalVerzeichnis = sAppPath & "\"
		End If
		
		mInstalVerzeichnis = Links(mInstalVerzeichnis,Len(mInstalVerzeichnis) - Len("Programme\Wordpress\"))
		'		MessageBox.Show(mInstalVerzeichnis , _
		'						"Projekterstellung erfolgreich", _
		'						MessageBoxButtons.OK, _
		'						MessageBoxIcon.Information, _
		'						MessageBoxDefaultButton.Button1)	
		'mInstalVerzeichnis = "C:\Test2\S20\"
		mEigeneDateienVerzeichnis = IO.File.ReadAllText(mInstalVerzeichnis & "Programme\PStart\Settings\AktuellesEigeneDateienVerzeichnis.txt")
		Shell (mInstalVerzeichnis & "Programme\Xampp\mysql_start.bat")
		mWordpressVerzeichnis = mEigeneDateienVerzeichnis & "\myPHP\mywordpress_projekte"
		mWordpressExportVerzeichnis = mEigeneDateienVerzeichnis & "\myWordPressExportImport"
		lfDatenbanken.Items.Clear
		mySQLConn.ConnectionString = "server=localhost;userid=root;password=''"
		online = False
		While online = False
			Try
				mySQLConn.Open()
				online = True
			Catch
			End Try
			System.Threading.Thread.Sleep(200)
		End While 
		mySQLBefehl = "show databases"
		Try
			COMMAND = New MySql.Data.MySqlClient.MySqlCommand(mySQLBefehl, mySQLConn)
			READER = COMMAND.ExecuteReader
			While READER.Read
				lfDatenbanken.Items.Add(READER.GetString(0))
			End While
			READER.Close()
			mySQLConn.Close()
		Catch
		End Try
		lbLocalIP.Text = "http://" & meineIP & "/mywordpress_projekte/..."
		If System.IO.File.Exists(mInstalVerzeichnis & "Programme\LocalTunnel\aktuelleurl.txt") then
			mText  = IO.File.ReadAllText(mInstalVerzeichnis & "Programme\LocalTunnel\aktuelleurl.txt")
			lbLocalTunnel.Text = mText + "/mywordpress_projekte/..."
		Else
			lbLocalTunnel.Text = "derzeit nicht aktiv"
		End If
		
		lvVorhandeneWordpressProjekte.Items.Clear
		For Each mWordpressProjekt In My.Computer.FileSystem.GetDirectories(mWordpressVerzeichnis)
			mVorhandenesProjekt = Rechts(mWordpressProjekt, Len(mWordpressProjekt) - Len(mWordpressVerzeichnis) - 1)
			mySQLConn.ConnectionString = "server=localhost;userid=root;password=''; database=" & mVorhandenesProjekt
			mySQLConn.Open()
			mySQLBefehl = "Select option_name, option_value from wp_options where option_name = 'siteurl';"
			COMMAND = New MySql.Data.MySqlClient.MySqlCommand(mySQLBefehl, mySQLConn)
			READER = COMMAND.ExecuteReader
			READER.Read
			mSiteURL = READER.GetString(1)
			mOrgSiteURL = mSiteURL
			mSiteURL = Links(mSiteURL,mSiteURL.IndexOf("/mywordpress_projekte"))
			mSiteURL = Rechts(mSiteURL, mSiteURL.Length - 7)
			READER.Close()
			COMMAND.ExecuteReader.Close()
			mySQLConn.Close()
			If mSiteURL <> "localhost" And Rechts(mSiteURL,8) <> "ngrok.io" Then
				If mSiteURL <> meineIP Then
					mOrgSiteURL = Replace(mOrgSiteURL, mSiteURL, meineIP)
					URLSpeichern()
					mSiteURL = meineIP
				End If
			End If
			If mSiteURL <> "localhost" And mSiteURL <> meineIP Then
				If Not System.IO.File.Exists(mInstalVerzeichnis & "Programme\LocalTunnel\aktuelleurl.txt") then
					mOrgSiteURL = Replace(mOrgSiteURL, mSiteURL, "localhost")
					mSiteURL = "localhost"
				Else
					mOrgSiteURL =mText & "/mywordpress_projekte/" & mVorhandenesProjekt
				End If
				URLSpeichern()
				
			End If
			Dim lvEintrag As New ListViewItem(mVorhandenesProjekt)
			lvEintrag.SubItems.Add(mSiteURL)
			lvVorhandeneWordpressProjekte.Items.Add(lvEintrag)
		Next
	End Sub
	
	Public Function Rechts(ByVal sText As String, _
		ByVal nLen As Integer) As String
		If nLen > sText.Length Then nLen = sText.Length
		Return (sText.Substring(sText.Length - nLen))
	End Function
	
	Public Function Links(ByVal sText As String, _
		ByVal nLen As Integer) As String
		If nLen > sText.Length Then nLen = sText.Length
		Return (sText.Substring(0, nLen))
	End Function
	
	Sub BtEndeClick(sender As Object, e As EventArgs)
		End		
	End Sub
	
	Sub BtNeuesWordpressProjektClick(sender As Object, e As EventArgs)
		progressBar1.Value = 0
		mProgressbarMax = 0
		mProgressbarMax = 100
		progressBar1.Maximum = mProgressbarMax
		progressBar1.Value += 10
		System.Threading.Thread.Sleep(100)
		
		mNeuerProjektname =Trim(tfNameNeuesProjekt.Text)
		mNeuerProjektname = Replace(mNeuerProjektname," ","")
		If Len(mNeuerProjektname)>0 then
			mNeuerProjektname = mNeuerProjektname.ToLower
			mSchonVorhanden = False
			For mzaehler = 0 To lfDatenbanken.Items.Count - 1
				If mNeuerProjektname = lfDatenbanken.Items.Item(mZaehler).ToString Then
					mSchonVorhanden = True
				End If
			Next
			If Not System.IO.Directory.Exists(mWordpressVerzeichnis & "\" & mNeuerProjektname) And Not mSchonVorhanden Then
				Try
					btNeuesWordpressProjekt.Text = "Bitte warten"
					btNeuesWordpressProjekt.ForeColor = Color.Red
					btNeuesWordpressProjekt.Font = New Font("Sans Serif", 10,  FontStyle.Bold)
					btNeuesWordpressProjekt.Update
					Cursor.Current = System.Windows.Forms.Cursors.WaitCursor
					AlleSchalterDisablen
					Try
						progressBar1.Value += 30
						System.Threading.Thread.Sleep(100)
					Catch
					End Try
					Dim neueWordpressDateienKopieren As New System.Diagnostics.Process()
					neueWordpressDateienKopieren.StartInfo.FileName = "xcopy.exe"
					neueWordpressDateienKopieren.StartInfo.Arguments = "/I /s /e " & mInstalVerzeichnis & "Programme\Wordpress\Installationsdateien" & " " &  mWordpressVerzeichnis & "\" & mNeuerProjektname
					neueWordpressDateienKopieren.StartInfo.WindowStyle = ProcessWindowStyle.Minimized					
					neueWordpressDateienKopieren.Start()
					neueWordpressDateienKopieren.WaitForExit()
					If neueWordpressDateienKopieren.HasExited Then
						Try
							progressBar1.Value += 30
							System.Threading.Thread.Sleep(100)
						Catch
						End Try
						mText = IO.File.ReadAllText(mInstalVerzeichnis & "Programme\Wordpress\original_word_press.sql")
						mText = mText.Replace("original_word_press", mNeuerProjektname)
						IO.File.WriteAllText(mInstalVerzeichnis & "Programme\Wordpress\install_word_press.sql",mText)
						Try
							progressBar1.Value += 10
							System.Threading.Thread.Sleep(100)
						Catch
						End Try
						mText = IO.File.ReadAllText(mWordpressVerzeichnis & "\" & mNeuerProjektname & "\.htaccess")
						mText = mText.Replace("original_word_press", mNeuerProjektname)
						IO.File.WriteAllText(mWordpressVerzeichnis & "\" & mNeuerProjektname & "\.htaccess",mText)
						Try
							progressBar1.Value += 10
							System.Threading.Thread.Sleep(100)
						Catch
						End Try
						mText = IO.File.ReadAllText(mWordpressVerzeichnis & "\" & mNeuerProjektname & "\wp-config.php")
						mText = mText.Replace("original_word_press", mNeuerProjektname)
						IO.File.WriteAllText(mWordpressVerzeichnis & "\" & mNeuerProjektname & "\wp-config.php",mText)
						Try
							progressBar1.Value += 10
							System.Threading.Thread.Sleep(100)
						Catch
						End Try
						mText = IO.File.ReadAllText(mInstalVerzeichnis & "Programme\Wordpress\Datenbankanlegen.bat")
						mText = mText.Replace("Programmdatei", mInstalVerzeichnis & "Programme\Xampp\mysql\bin\mysql")
						mText = mText.Replace("Datenbankname", mNeuerProjektname)
						mText = mText.Replace("Dateiname", mInstalVerzeichnis & "Programme\Wordpress\install_word_press.sql")
						IO.File.WriteAllText(mInstalVerzeichnis & "Programme\Wordpress\Install_Datenbankanlegen.bat",mText)
						
						Dim neueWordpressDatenbankAnlegen As New System.Diagnostics.Process()
						neueWordpressDatenbankAnlegen.StartInfo.FileName = mInstalVerzeichnis & "Programme\Wordpress\Install_Datenbankanlegen.bat"
						neueWordpressDatenbankAnlegen.StartInfo.WindowStyle = ProcessWindowStyle.Minimized	
						neueWordpressDatenbankAnlegen.Start()
						neueWordpressDatenbankAnlegen.WaitForExit()
						If neueWordpressDatenbankAnlegen.HasExited Then
							lfDatenbanken.Items.Clear
							mySQLBefehl = "show databases"
							Try
								COMMAND = New MySql.Data.MySqlClient.MySqlCommand(mySQLBefehl, mySQLConn)
								READER = COMMAND.ExecuteReader
								While READER.Read
									lfDatenbanken.Items.Add(READER.GetString(0))
								End While
								READER.Close()
								mySQLConn.Close()
							Catch
							End Try
							progressBar1.Value = mProgressbarMax
							
							Cursor.Current = System.Windows.Forms.Cursors.Default
							MessageBox.Show("Das neue Projekt mit dem Namen " & CHR(10)  & mNeuerProjektname  & CHR(10) & "wurde erfolgreich erstellt!" , _
								"Projekterstellung erfolgreich", _
								MessageBoxButtons.OK, _
								MessageBoxIcon.Information, _
								MessageBoxDefaultButton.Button1)	
							lvVorhandeneWordpressProjekteFuellen()
							btNeuesWordpressProjekt.Text = "Neues Wordpress Projekt anlegen"
							btNeuesWordpressProjekt.ForeColor = Color.Black 
							btNeuesWordpressProjekt.Font = New Font("Sans Serif", 10,  FontStyle.Regular)
							tfNameNeuesProjekt.Text = ""
							EintragMarkieren()
							progressBar1.Value = 0
							DatenbankenSuchen()
						End If 		
						
					End If	
				Catch ex As Exception
					MessageBox.Show("Ein Projekt mit dem Namen " & CHR(10)  & mNeuerProjektname  & CHR(10) & "konnte nicht erstellt werden!" & CHR(10) & "Bitte wählen Sie einen anderen Projektnamen" , _
						"Unzulässiger Projektname", _
						MessageBoxButtons.OK, _
						MessageBoxIcon.Exclamation, _
						MessageBoxDefaultButton.Button1)	
				End Try
			Else
				
				If mSchonVorhanden = True Then
					EintragMarkieren()
					MessageBox.Show("Es existiert schon eine Datenbank mit dem Namen" & CHR(10)  & mNeuerProjektname  & CHR(10) & "Bitte wählen Sie einen anderen Projektnamen" , _
						"Unzulässiger Projektname", _
						MessageBoxButtons.OK, _
						MessageBoxIcon.Exclamation, _
						MessageBoxDefaultButton.Button1)	
				Else
					EintragMarkieren()
					MessageBox.Show("Dieses Projekt existiert schon" & CHR(10)  & mNeuerProjektname  & CHR(10) & "Bitte wählen Sie einen anderen Projektnamen" , _
						"Unzulässiger Projektname", _
						MessageBoxButtons.OK, _
						MessageBoxIcon.Exclamation, _
						MessageBoxDefaultButton.Button1)	
				End If
			End If
		Else
			MessageBox.Show("Bitte geben Sie einen Projektnamen ein!" , _
				"Unzulässiger Projektname", _
				MessageBoxButtons.OK, _
				MessageBoxIcon.Exclamation, _
				MessageBoxDefaultButton.Button1)	
		End If
		AlleSchalterEnablen
	End Sub
	
	
	Sub BtWordpressProjektKopierenClick(sender As Object, e As EventArgs)
		progressBar1.Value = 0
		mProgressbarMax = 0
		mProgressbarMax = 100
		progressBar1.Maximum = mProgressbarMax
		progressBar1.Value += 10
		System.Threading.Thread.Sleep(100)
		
		mNeuerProjektname =Trim(tfNameProjektKopie.Text)
		mNeuerProjektname = Replace(mNeuerProjektname," ","")
		If Len(mNeuerProjektname)>0  And Len(mVorhandenesProjekt) > 0 then
			mNeuerProjektname = mNeuerProjektname.ToLower
			mSchonVorhanden = False
			For mzaehler = 0 To lfDatenbanken.Items.Count - 1
				If mNeuerProjektname = lfDatenbanken.Items.Item(mZaehler).ToString Then
					mSchonVorhanden = True
				End If
			Next
			If Not System.IO.Directory.Exists(mWordpressVerzeichnis & "\" & mNeuerProjektname)  And Not mSchonVorhanden Then
				Try
					btWordpressProjektKopieren.Text = "Bitte warten"
					btWordpressProjektKopieren.ForeColor = Color.Red
					btWordpressProjektKopieren.Font = New Font("Sans Serif", 10,  FontStyle.Bold)
					btWordpressProjektKopieren.Update
					Cursor.Current = System.Windows.Forms.Cursors.WaitCursor
					AlleSchalterDisablen
					System.IO.Directory.CreateDirectory(mWordpressVerzeichnis & "\" & mNeuerProjektname) 
					Try
						progressBar1.Value += 10
						System.Threading.Thread.Sleep(100)
					Catch
					End Try
					mText = IO.File.ReadAllText(mInstalVerzeichnis & "Programme\Wordpress\Datenbanksichern.bat")
					mText = mText.Replace("Programmdatei", mInstalVerzeichnis & "Programme\Xampp\mysql\bin\mysqldump.exe")
					mText = mText.Replace("Datenbankname", mVorhandenesProjekt)
					mText = mText.Replace("Dateiname", mInstalVerzeichnis & "Programme\Wordpress\install_word_press.sql")
					IO.File.WriteAllText(mInstalVerzeichnis & "Programme\Wordpress\Install_Datenbanksichern.bat",mText)
					Try
						progressBar1.Value += 10
						System.Threading.Thread.Sleep(100)
					Catch
					End Try
					Dim WordpressDatenbankSichern As New System.Diagnostics.Process()
					WordpressDatenbankSichern.StartInfo.FileName = mInstalVerzeichnis & "Programme\Wordpress\Install_Datenbanksichern.bat"
					WordpressDatenbankSichern.StartInfo.WindowStyle = ProcessWindowStyle.Minimized	
					WordpressDatenbankSichern.Start()
					WordpressDatenbankSichern.WaitForExit()
					If WordpressDatenbankSichern.HasExited Then
						Try
							progressBar1.Value += 10
							System.Threading.Thread.Sleep(100)
						Catch
						End Try
						Try
							progressBar1.Value += 10
							System.Threading.Thread.Sleep(100)
						Catch
						End Try
						Dim WordpressOrdnerKopieAnlegen As New System.Diagnostics.Process()
						WordpressOrdnerKopieAnlegen.StartInfo.FileName = "xcopy.exe"
						WordpressOrdnerKopieAnlegen.StartInfo.Arguments = "/I /s /e " & mWordpressVerzeichnis & "\" & mVorhandenesProjekt & " " &  mWordpressVerzeichnis & "\" & mNeuerProjektname
						WordpressOrdnerKopieAnlegen.StartInfo.WindowStyle = ProcessWindowStyle.Minimized	
						WordpressOrdnerKopieAnlegen.Start()
						WordpressOrdnerKopieAnlegen.WaitForExit()
						If WordpressOrdnerKopieAnlegen.HasExited Then
							mText = IO.File.ReadAllText(mInstalVerzeichnis & "Programme\Wordpress\install_word_press.sql")
							mText = mText.Replace("USE `" & mVorhandenesProjekt, "USE `" & mNeuerProjektname)
							mText = mText.Replace("siteurl','http://localhost/mywordpress_projekte/" & mVorhandenesProjekt, "siteurl','http://localhost/mywordpress_projekte/" & mNeuerProjektname)
							mText = mText.Replace("home','http://localhost/mywordpress_projekte/" & mVorhandenesProjekt, "home','http://localhost/mywordpress_projekte/" & mNeuerProjektname)
							mText = mText.Replace("_menu_item_url','http://localhost/mywordpress_projekte/" & mVorhandenesProjekt  & "/wp-login.php", "_menu_item_url','http://localhost/mywordpress_projekte/" & mNeuerProjektname  & "/wp-login.php")
							mText = mText.Replace("CREATE DATABASE", "-- CREATE DATABASE")
							mText = mText.Replace("/*", "-- /*")
							IO.File.WriteAllText(mInstalVerzeichnis & "Programme\Wordpress\install_word_press.sql",mText)
							Try
								progressBar1.Value += 10
								System.Threading.Thread.Sleep(100)
							Catch
							End Try
							mText = IO.File.ReadAllText(mWordpressVerzeichnis & "\" & mNeuerProjektname & "\.htaccess")
							mText = mText.Replace(mVorhandenesProjekt, mNeuerProjektname)
							IO.File.WriteAllText(mWordpressVerzeichnis & "\" & mNeuerProjektname & "\.htaccess",mText)
							Try
								progressBar1.Value += 10
								System.Threading.Thread.Sleep(100)
							Catch
							End Try
							mText = IO.File.ReadAllText(mWordpressVerzeichnis & "\" & mNeuerProjektname & "\wp-config.php")
							mText = mText.Replace(mVorhandenesProjekt, mNeuerProjektname)
							IO.File.WriteAllText(mWordpressVerzeichnis & "\" & mNeuerProjektname & "\wp-config.php",mText)
							Try
								progressBar1.Value += 10
								System.Threading.Thread.Sleep(100)
							Catch
							End Try
							mText = IO.File.ReadAllText(mInstalVerzeichnis & "Programme\Wordpress\Datenbankanlegen.bat")
							mText = mText.Replace("Programmdatei", mInstalVerzeichnis & "Programme\Xampp\mysql\bin\mysql")
							mText = mText.Replace("Datenbankname", mNeuerProjektname)
							mText = mText.Replace("Dateiname", mInstalVerzeichnis & "Programme\Wordpress\install_word_press.sql")
							IO.File.WriteAllText(mInstalVerzeichnis & "Programme\Wordpress\Install_Datenbankanlegen.bat",mText)
							Try
								progressBar1.Value += 10
								System.Threading.Thread.Sleep(100)
							Catch
							End Try
							Dim neueWordpressDatenbankAnlegen As New System.Diagnostics.Process()
							neueWordpressDatenbankAnlegen.StartInfo.FileName = mInstalVerzeichnis & "Programme\Wordpress\Install_Datenbankanlegen.bat"
							neueWordpressDatenbankAnlegen.StartInfo.WindowStyle = ProcessWindowStyle.Minimized	
							neueWordpressDatenbankAnlegen.Start()
							neueWordpressDatenbankAnlegen.WaitForExit()
							If neueWordpressDatenbankAnlegen.HasExited Then
								progressBar1.Value = mProgressbarMax
								Cursor.Current = System.Windows.Forms.Cursors.Default
								MessageBox.Show("Die Projektkopie mit dem Namen " & CHR(10)  & mNeuerProjektname  & CHR(10) & "wurde erfolgreich erstellt!" , _
									"Projektkopie erfolgreich", _
									MessageBoxButtons.OK, _
									MessageBoxIcon.Information, _
									MessageBoxDefaultButton.Button1)	
								lvVorhandeneWordpressProjekteFuellen
								btWordpressProjektKopieren.Text = "vorhandenes  Projekt kopieren"
								btWordpressProjektKopieren.ForeColor = Color.Black 
								btWordpressProjektKopieren.Font = New Font("Sans Serif", 10,  FontStyle.Regular)
								tfNameProjektKopie.Text = ""
								EintragMarkieren()
								progressBar1.Value = 0
								DatenbankenSuchen()
							End If
						End If
					End If
				Catch ex As Exception
					MessageBox.Show("Ein Projekt mit dem Namen " & CHR(10)  & mNeuerProjektname  & CHR(10) & "konnte nicht erstellt werden!" & CHR(10) & "Bitte wählen Sie einen anderen Projektnamen" , _
						"Unzulässiger Projektname", _
						MessageBoxButtons.OK, _
						MessageBoxIcon.Exclamation, _
						MessageBoxDefaultButton.Button1)	
				End Try
			Else
				If mSchonVorhanden = True Then
					EintragMarkieren()
					MessageBox.Show("Es existiert schon eine Datenbank mit dem Namen" & CHR(10)  & mNeuerProjektname  & CHR(10) & "Bitte wählen Sie einen anderen Projektnamen" , _
						"Unzulässiger Projektname", _
						MessageBoxButtons.OK, _
						MessageBoxIcon.Exclamation, _
						MessageBoxDefaultButton.Button1)	
				Else
					EintragMarkieren()
					MessageBox.Show("Dieses Projekt existiert schon" & CHR(10)  & mNeuerProjektname  & CHR(10) & "Bitte wählen Sie einen anderen Projektnamen" , _
						"Unzulässiger Projektname", _
						MessageBoxButtons.OK, _
						MessageBoxIcon.Exclamation, _
						MessageBoxDefaultButton.Button1)	
				End If
			End If
		Else
			MessageBox.Show("Bitte wählen Sie ein  vorhandenes Projekt aus " & Chr(10) & "und geben Sie einen Namen für die Kopie ein!" , _
				"Unzulässiger Projektname", _
				MessageBoxButtons.OK, _
				MessageBoxIcon.Exclamation, _
				MessageBoxDefaultButton.Button1)	
		End If
		AlleSchalterEnablen
	End Sub
	
	Sub BtLoeschenClick(sender As Object, e As EventArgs)
		If mAuswahlZaehler = 1 Then
			If MessageBox.Show("Wollen Sie das Projekt " & Chr(10) & mVorhandenesProjekt & Chr(10) &  "wirklich löschen?" , _
				"Sind Sie sicher?", _
				MessageBoxButtons.YesNo, _
				MessageBoxIcon.Question, _
				MessageBoxDefaultButton.Button1)	 = Windows.Forms.DialogResult.Yes Then
				progressBar1.Value = 0
				mProgressbarMax = 100
				progressBar1.Maximum = mProgressbarMax
				btLoeschen.Text = "Bitte warten"
				btLoeschen.ForeColor = Color.Red
				btLoeschen.Font = New Font("Sans Serif", 10,  FontStyle.Bold)
				btLoeschen.Update
				Cursor.Current = System.Windows.Forms.Cursors.WaitCursor
				AlleSchalterDisablen
				Try
					progressBar1.Value += 30
					System.Threading.Thread.Sleep(100)
				Catch
				End Try
				mText = IO.File.ReadAllText(mInstalVerzeichnis & "Programme\Wordpress\WordpressOrdnerLoeschen.bat")
				mText = mText.Replace("Wordpressordner", mWordpressVerzeichnis & "\" & mVorhandenesProjekt)
				IO.File.WriteAllText(mInstalVerzeichnis & "Programme\Wordpress\Install_WordpressOrdnerLoeschen.bat",mText)
				Dim WordpressOrdnerLoeschen As New System.Diagnostics.Process()
				WordpressOrdnerLoeschen.StartInfo.FileName = mInstalVerzeichnis & "Programme\Wordpress\Install_WordpressOrdnerLoeschen.bat"
				WordpressOrdnerLoeschen.StartInfo.WindowStyle = ProcessWindowStyle.Minimized					
				WordpressOrdnerLoeschen.Start()
				WordpressOrdnerLoeschen.WaitForExit()
				If WordpressOrdnerLoeschen.HasExited Then
					Try
						progressBar1.Value += 30
						System.Threading.Thread.Sleep(100)
					Catch
					End Try
					mText = IO.File.ReadAllText(mInstalVerzeichnis & "Programme\Wordpress\Datenbankloeschen.bat")
					mText = mText.Replace("Programmdatei", mInstalVerzeichnis & "Programme\Xampp\mysql\bin\mysql")
					mText = mText.Replace("Datenbankname", mVorhandenesProjekt)
					IO.File.WriteAllText(mInstalVerzeichnis & "Programme\Wordpress\Install_Datenbankloeschen.bat",mText)
					Try
						progressBar1.Value += 30
						System.Threading.Thread.Sleep(100)
					Catch
					End Try
					Dim WordpressDatenbankLoeschen As New System.Diagnostics.Process()
					WordpressDatenbankLoeschen.StartInfo.FileName = mInstalVerzeichnis & "Programme\Wordpress\Install_Datenbankloeschen.bat"
					WordpressDatenbankLoeschen.StartInfo.WindowStyle = ProcessWindowStyle.Minimized	
					WordpressDatenbankLoeschen.Start()
					WordpressDatenbankLoeschen.WaitForExit()
					If WordpressDatenbankLoeschen.HasExited Then
						progressBar1.Value =progressbar1.Maximum
						Cursor.Current = System.Windows.Forms.Cursors.Default
						MessageBox.Show("Das Projekt mit dem Namen " & CHR(10)  & mVorhandenesProjekt  & CHR(10) & "wurde erfolgreich gelöscht!" , _
							"Projektlöschung erfolgreich", _
							MessageBoxButtons.OK, _
							MessageBoxIcon.Information, _
							MessageBoxDefaultButton.Button1)	
						lvVorhandeneWordpressProjekteFuellen()
						btLoeschen.Text = "markierte Projekte löschen"
						btLoeschen.ForeColor = Color.Black 
						btLoeschen.Font = New Font("Sans Serif", 10,  FontStyle.Regular)
						EintragMarkieren()
						progressBar1.Value = 0
						DatenbankenSuchen()
					End If
				End If 						
				
			End If 
		End If
		If mAuswahlZaehler > 1 Then
			If MessageBox.Show("Wollen Sie alle " & mAuswahlZaehler & " markierten Projekte wirklich löschen?" , _
				"Sind Sie sicher?", _
				MessageBoxButtons.YesNo, _
				MessageBoxIcon.Question, _
				MessageBoxDefaultButton.Button1)	 = Windows.Forms.DialogResult.Yes Then
				progressBar1.Value = 0
				mProgressbarMax = 100 * mAuswahlZaehler
				progressBar1.Maximum = mProgressbarMax
				btLoeschen.Text = "Bitte warten"
				btLoeschen.ForeColor = Color.Red
				btLoeschen.Font = New Font("Sans Serif", 10,  FontStyle.Bold)
				btLoeschen.Update
				Cursor.Current = System.Windows.Forms.Cursors.WaitCursor
				AlleSchalterDisablen
				For mZaehler = 0 To lvVorhandeneWordpressProjekte.Items.Count -1
					If lvVorhandeneWordpressProjekte.Items(mZaehler).Selected = True Then
						mVorhandenesProjekt =  lvVorhandeneWordpressProjekte.Items.Item(mZaehler).Text
						mText = IO.File.ReadAllText(mInstalVerzeichnis & "Programme\Wordpress\WordpressOrdnerLoeschen.bat")
						mText = mText.Replace("Wordpressordner", mWordpressVerzeichnis & "\" & mVorhandenesProjekt)
						IO.File.WriteAllText(mInstalVerzeichnis & "Programme\Wordpress\Install_WordpressOrdnerLoeschen.bat",mText)
						Dim WordpressOrdnerLoeschen As New System.Diagnostics.Process()
						WordpressOrdnerLoeschen.StartInfo.FileName = mInstalVerzeichnis & "Programme\Wordpress\Install_WordpressOrdnerLoeschen.bat"
						WordpressOrdnerLoeschen.StartInfo.WindowStyle = ProcessWindowStyle.Minimized					
						WordpressOrdnerLoeschen.Start()
						WordpressOrdnerLoeschen.WaitForExit()
						If WordpressOrdnerLoeschen.HasExited Then
							Try
								progressBar1.Value += 30
								System.Threading.Thread.Sleep(100)
							Catch
							End Try
							mText = IO.File.ReadAllText(mInstalVerzeichnis & "Programme\Wordpress\Datenbankloeschen.bat")
							mText = mText.Replace("Programmdatei", mInstalVerzeichnis & "Programme\Xampp\mysql\bin\mysql")
							mText = mText.Replace("Datenbankname", mVorhandenesProjekt)
							IO.File.WriteAllText(mInstalVerzeichnis & "Programme\Wordpress\Install_Datenbankloeschen.bat",mText)
							Try
								progressBar1.Value += 30
								System.Threading.Thread.Sleep(100)
							Catch
							End Try
							Dim WordpressDatenbankLoeschen As New System.Diagnostics.Process()
							WordpressDatenbankLoeschen.StartInfo.FileName = mInstalVerzeichnis & "Programme\Wordpress\Install_Datenbankloeschen.bat"
							WordpressDatenbankLoeschen.StartInfo.WindowStyle = ProcessWindowStyle.Minimized	
							WordpressDatenbankLoeschen.Start()
							WordpressDatenbankLoeschen.WaitForExit()
							If WordpressDatenbankLoeschen.HasExited Then
								progressBar1.Value += 30
								System.Threading.Thread.Sleep(100)
							End If
						End If
					End If
				Next
				progressBar1.Value = progressBar1.Maximum
				MessageBox.Show("Alle " & mAuswahlZaehler & " Projekte wurden erfolgreich gelöscht!" , _
					"Projektlöschung erfolgreich", _
					MessageBoxButtons.OK, _
					MessageBoxIcon.Information, _
					MessageBoxDefaultButton.Button1)	
				lvVorhandeneWordpressProjekteFuellen()
				btLoeschen.Text = "markierte Projekte löschen"
				btLoeschen.ForeColor = Color.Black 
				btLoeschen.Font = New Font("Sans Serif", 10,  FontStyle.Regular)
				progressBar1.Value =progressbar1.Maximum
				Cursor.Current = System.Windows.Forms.Cursors.Default
				progressBar1.Value = 0
				DatenbankenSuchen()
			End If 
		End If
		AlleSchalterEnablen
	End Sub
	
	Sub BtExportClick(sender As Object, e As EventArgs)
		progressBar1.Value = 0
		mProgressbarMax = 0
		mProgressbarMax = 100
		progressBar1.Maximum = mProgressbarMax
		If  Len(mVorhandenesProjekt) > 0 then
			btExport.Text = "Bitte warten"
			btExport.ForeColor = Color.Red
			btExport.Font = New Font("Sans Serif", 10,  FontStyle.Bold)
			btExport.Update
			Cursor.Current = System.Windows.Forms.Cursors.WaitCursor
			AlleSchalterDisablen
			timeStamp  = DateTime.Now.ToString("_yyyy_MM_dd_HH_mm_ss")
			Try
				progressBar1.Value += 20
				System.Threading.Thread.Sleep(100)
			Catch
			End Try
			mText = IO.File.ReadAllText(mInstalVerzeichnis & "Programme\Wordpress\Datenbanksichern.bat")
			mText = mText.Replace("Programmdatei", mInstalVerzeichnis & "Programme\Xampp\mysql\bin\mysqldump.exe")
			mText = mText.Replace("Datenbankname", mVorhandenesProjekt)
			mText = mText.Replace("Dateiname", mWordpressVerzeichnis & "\" & mVorhandenesProjekt  & "\" & mVorhandenesProjekt & ".sql")
			IO.File.WriteAllText(mInstalVerzeichnis & "Programme\Wordpress\Install_Datenbanksichern.bat",mText)
			Try
				progressBar1.Value += 20
				System.Threading.Thread.Sleep(100)
			Catch
			End Try
			Dim WordpressDatenbankSichern As New System.Diagnostics.Process()
			WordpressDatenbankSichern.StartInfo.FileName = mInstalVerzeichnis & "Programme\Wordpress\Install_Datenbanksichern.bat"
			WordpressDatenbankSichern.StartInfo.WindowStyle = ProcessWindowStyle.Minimized	
			WordpressDatenbankSichern.Start()
			WordpressDatenbankSichern.WaitForExit()
			If WordpressDatenbankSichern.HasExited Then
				Try
					progressBar1.Value += 20
					System.Threading.Thread.Sleep(100)
				Catch
				End Try
				
				Dim WordpressKopieZippen As New System.Diagnostics.Process()
				WordpressKopieZippen.StartInfo.FileName = mInstalVerzeichnis & "Programme\7-Zip\7z.exe"
				WordpressKopieZippen.StartInfo.Arguments = "a -r " & mInstalVerzeichnis & "EigeneDateien\myWordPressExportImport\" & mVorhandenesProjekt & "_Export" & timeStamp & ".zip " &  mWordpressVerzeichnis & "\" & mVorhandenesProjekt & "\*"
				WordpressKopieZippen.StartInfo.WindowStyle = ProcessWindowStyle.Minimized
				WordpressKopieZippen.Start()
				WordpressKopieZippen.WaitForExit()
				If WordpressKopieZippen.HasExited Then
					Try
						progressBar1.Value += 30
						System.Threading.Thread.Sleep(100)
					Catch
					End Try
					Kill(mWordpressVerzeichnis & "\" & mVorhandenesProjekt & "\" & mVorhandenesProjekt & ".sql")
					
					progressBar1.Value = mProgressbarMax
					System.Threading.Thread.Sleep(100)
					Cursor.Current = System.Windows.Forms.Cursors.Default
					btExport.Text = "markiertes  Projekt exportieren"
					btExport.ForeColor = Color.Black 
					btExport.Font = New Font("Sans Serif", 10,  FontStyle.Regular)
				End If 
			End If
			MessageBox.Show("Der Projekt - Export mit dem Namen " & CHR(10)  & mVorhandenesProjekt & "_Export" & timeStamp & ".zip" & CHR(10) & "wurde erfolgreich im Verzeichnis " & CHR(10) & mWordpressExportVerzeichnis &  " erstellt!" , _
				"Projek - Export erfolgreich", _
				MessageBoxButtons.OK, _
				MessageBoxIcon.Information, _
				MessageBoxDefaultButton.Button1)	
			progressBar1.Value = 0
		Else
			MessageBox.Show("Bitte wählen Sie ein  vorhandenes Projekt aus ! " , _
				"Unzulässige Auswahl", _
				MessageBoxButtons.OK, _
				MessageBoxIcon.Exclamation, _
				MessageBoxDefaultButton.Button1)	
		End If
		AlleSchalterEnablen
	End Sub
	
	Sub BtImportClick(sender As Object, e As EventArgs)
		timeStamp  = DateTime.Now.ToString("_yyyy_MM_dd_HH_mm_ss")
		mNeuerProjektname =Trim(tfNameProjektImport.Text)
		mNeuerProjektname = Replace(mNeuerProjektname," ","")
		If Len(mNeuerProjektname)>0 Then
			mNeuerProjektname = mNeuerProjektname.ToLower
			mSchonVorhanden = False
			For mzaehler = 0 To lfDatenbanken.Items.Count - 1
				If mNeuerProjektname = lfDatenbanken.Items.Item(mZaehler).ToString Then
					mSchonVorhanden = True
				End If
			Next
			If Not System.IO.Directory.Exists(mWordpressVerzeichnis & "\" & mNeuerProjektname)  And Not mSchonVorhanden Then
				meinopenFileDialog.InitialDirectory = Links(mInstalVerzeichnis,3)
				meinopenFileDialog.Filter = "*.zip|*.zip"
				If meinopenFileDialog.ShowDialog=DialogResult.OK Then
					progressBar1.Value = 0
					mProgressbarMax = 100
					progressBar1.Maximum = mProgressbarMax
					btImport.Text = "Bitte warten"
					btImport.ForeColor = Color.Red
					btImport.Font = New Font("Sans Serif", 10,  FontStyle.Bold)
					btImport.Update
					Cursor.Current = System.Windows.Forms.Cursors.WaitCursor
					AlleSchalterDisablen
					mImportdatei = meinopenFileDialog.FileName
					Try
						progressBar1.Value += 10
						System.Threading.Thread.Sleep(100)
						System.Windows.Forms.Application.DoEvents()
					Catch
					End Try
					mImportprojekt = Links(mImportdatei, Len(mImportdatei) - 31)
					mImportprojekt = Rechts(mImportprojekt,  Len(mImportprojekt) - mImportprojekt.LastIndexOf("\") -1)
					Dim WordpressKopieEntZippen As New System.Diagnostics.Process()
					WordpressKopieEntZippen.StartInfo.FileName = mInstalVerzeichnis & "Programme\7-Zip\7z.exe"
					WordpressKopieEntZippen.StartInfo.Arguments = "x -aoa -y  " & mImportdatei & " -o" & mWordpressVerzeichnis & "\" & mNeuerProjektname
					WordpressKopieEntZippen.StartInfo.WindowStyle = ProcessWindowStyle.Minimized	
					WordpressKopieEntZippen.Start()
					Try
						progressBar1.Value += 10
						System.Threading.Thread.Sleep(100)
						System.Windows.Forms.Application.DoEvents()
					Catch
					End Try
					WordpressKopieEntZippen.WaitForExit()
					If WordpressKopieEntZippen.HasExited Then
						Try
							progressBar1.Value += 15
							System.Threading.Thread.Sleep(100)
							System.Windows.Forms.Application.DoEvents()
						Catch
						End Try
						mText = IO.File.ReadAllText(mWordpressVerzeichnis & "\" & mNeuerProjektname & "\.htaccess")
						mText = mText.Replace(mImportprojekt, mNeuerProjektname)
						IO.File.WriteAllText(mWordpressVerzeichnis & "\" & mNeuerProjektname & "\.htaccess",mText)
						Try
							progressBar1.Value += 5
							System.Threading.Thread.Sleep(100)
						Catch
						End Try
						mText = IO.File.ReadAllText(mWordpressVerzeichnis & "\" & mNeuerProjektname & "\wp-config.php")
						mText = mText.Replace(mImportprojekt, mNeuerProjektname)
						IO.File.WriteAllText(mWordpressVerzeichnis & "\" & mNeuerProjektname & "\wp-config.php",mText)
						Try
							progressBar1.Value += 5
							System.Threading.Thread.Sleep(100)
						Catch
						End Try
						
						mText = IO.File.ReadAllText(mWordpressVerzeichnis & "\" & mNeuerProjektname &"\" & mImportprojekt & ".sql")	
						mText = mText.Replace("USE `" & mImportprojekt, "USE `" & mNeuerProjektname)
						mText = mText.Replace("siteurl','http://localhost/mywordpress_projekte/" & mImportprojekt, "siteurl','http://localhost/mywordpress_projekte/" & mNeuerProjektname)
						mText = mText.Replace("home','http://localhost/mywordpress_projekte/" & mImportprojekt, "home','http://localhost/mywordpress_projekte/" & mNeuerProjektname)
						mText = mText.Replace("_menu_item_url','http://localhost/mywordpress_projekte/" & mImportprojekt  & "/wp-login.php", "_menu_item_url','http://localhost/mywordpress_projekte/" & mNeuerProjektname  & "/wp-login.php")
						mText = mText.Replace("CREATE DATABASE", "-- CREATE DATABASE")
						mText = mText.Replace("/*", "-- /*")
						IO.File.WriteAllText(mInstalVerzeichnis & "Programme\Wordpress\install_word_press.sql",mText)
						Try
							progressBar1.Value += 20
							System.Threading.Thread.Sleep(100)
						Catch
						End Try
						mText = IO.File.ReadAllText(mInstalVerzeichnis & "Programme\Wordpress\Datenbankanlegen.bat")
						mText = mText.Replace("Programmdatei", mInstalVerzeichnis & "Programme\Xampp\mysql\bin\mysql")
						mText = mText.Replace("Datenbankname", mNeuerProjektname)
						mText = mText.Replace("Dateiname", mInstalVerzeichnis & "Programme\Wordpress\install_word_press.sql")
						IO.File.WriteAllText(mInstalVerzeichnis & "Programme\Wordpress\Install_Datenbankanlegen.bat",mText)
						Try
							progressBar1.Value += 5
							System.Threading.Thread.Sleep(100)
						Catch
						End Try
						Dim neueWordpressDatenbankAnlegen As New System.Diagnostics.Process()
						neueWordpressDatenbankAnlegen.StartInfo.FileName = mInstalVerzeichnis & "Programme\Wordpress\Install_Datenbankanlegen.bat"
						neueWordpressDatenbankAnlegen.StartInfo.WindowStyle = ProcessWindowStyle.Minimized	
						neueWordpressDatenbankAnlegen.Start()
						neueWordpressDatenbankAnlegen.WaitForExit()
						If neueWordpressDatenbankAnlegen.HasExited Then
							Try
								progressBar1.Value += 20
								System.Threading.Thread.Sleep(100)
							Catch
							End Try
							Kill(mWordpressVerzeichnis & "\" & mNeuerProjektname &"\" & mImportprojekt & ".sql")
							Try
								progressBar1.Value += 5
								System.Threading.Thread.Sleep(100)
							Catch
							End Try
							
							progressBar1.Value = mProgressbarMax
							Cursor.Current = System.Windows.Forms.Cursors.Default
						End If 							
					End If
					MessageBox.Show("Das fremde Projekt wurde unter dem Namen " & CHR(10)  & mNeuerProjektname  & CHR(10) & " erfolgreich importiert!" , _
						"Projekt - Import erfolgreich", _
						MessageBoxButtons.OK, _
						MessageBoxIcon.Information, _
						MessageBoxDefaultButton.Button1)	
					lvVorhandeneWordpressProjekteFuellen()
					btImport.Text = "fremdes Projekt importieren"
					btImport.ForeColor = Color.Black 
					btImport.Font = New Font("Sans Serif", 10,  FontStyle.Regular)
					tfNameProjektImport.Text = ""
					EintragMarkieren()
					progressBar1.Value = 0
					DatenbankenSuchen()
				Else
					MessageBox.Show("Ein Projekt mit dem Namen " & CHR(10)  & mNeuerProjektname  & CHR(10) & "konnte nicht erstellt werden!" & CHR(10) & "Bitte wählen Sie einen anderen Projektnamen" , _
						"Unzulässiger Projektname", _
						MessageBoxButtons.OK, _
						MessageBoxIcon.Exclamation, _
						MessageBoxDefaultButton.Button1)	
				End If
			Else
				If mSchonVorhanden = True Then
					EintragMarkieren()
					MessageBox.Show("Es existiert schon eine Datenbank mit dem Namen" & CHR(10)  & mNeuerProjektname  & CHR(10) & "Bitte wählen Sie einen anderen Projektnamen" , _
						"Unzulässiger Projektname", _
						MessageBoxButtons.OK, _
						MessageBoxIcon.Exclamation, _
						MessageBoxDefaultButton.Button1)	
				Else
					EintragMarkieren()
					MessageBox.Show("Dieses Projekt existiert schon" & CHR(10)  & mNeuerProjektname  & CHR(10) & "Bitte wählen Sie einen anderen Projektnamen" , _
						"Unzulässiger Projektname", _
						MessageBoxButtons.OK, _
						MessageBoxIcon.Exclamation, _
						MessageBoxDefaultButton.Button1)	
				End If
			End If
		Else
			MessageBox.Show("Bitte geben Sie einen Projektnamen ein!" , _
				"Unzulässiger Projektname", _
				MessageBoxButtons.OK, _
				MessageBoxIcon.Exclamation, _
				MessageBoxDefaultButton.Button1)	
		End If
		AlleSchalterEnablen
	End Sub
	
	Sub LvVorhandeneWordpressProjekteClick(sender As Object, e As EventArgs)
		If Len(lvVorhandeneWordpressProjekte.SelectedItems.Item(0).SubItems(0).Text) > 0  then
			mVorhandenesProjekt = lvVorhandeneWordpressProjekte.FocusedItem.Text
			mAuswahlZaehler  = 0
			For mZaehler = 0 To lvVorhandeneWordpressProjekte.Items.Count -1
				If lvVorhandeneWordpressProjekte.Items(mZaehler).Selected = True Then
					mAuswahlZaehler = mAuswahlZaehler + 1
				End If
			Next 
			If mAuswahlZaehler > 1 Then
				btWordpressProjektKopieren.Enabled = False
			Else
				btWordpressProjektKopieren.Enabled = True
			End If
		End If
	End Sub
	
	Sub BtLocalIPClick(sender As Object, e As EventArgs)
		If mAuswahlZaehler = 1 Then
			mOrgSiteURL = "http://" & meineIP & "/mywordpress_projekte/" & mVorhandenesProjekt
			URLSpeichern()
		End If
		If mAuswahlZaehler > 1 Then
			For mZaehler = 0 To lvVorhandeneWordpressProjekte.Items.Count -1
				If lvVorhandeneWordpressProjekte.Items(mZaehler).Selected = True Then
					mVorhandenesProjekt =  lvVorhandeneWordpressProjekte.Items.Item(mZaehler).Text
					mOrgSiteURL = "http://" & meineIP & "/mywordpress_projekte/" & mVorhandenesProjekt
					URLSpeichern()
				End If
			Next
		End If
		
		lvVorhandeneWordpressProjekteFuellen()
	End Sub
	
	Sub BtLocalTunnelClick(sender As Object, e As EventArgs)
		If System.IO.File.Exists(mInstalVerzeichnis & "Programme\LocalTunnel\aktuelleurl.txt") then
			mText  = IO.File.ReadAllText(mInstalVerzeichnis & "Programme\LocalTunnel\aktuelleurl.txt")
			lbLocalTunnel.Text = mText + "/mywordpress_projekte/..."
			If mAuswahlZaehler = 1 Then
				mOrgSiteURL =mText & "/mywordpress_projekte/" & mVorhandenesProjekt
				URLSpeichern
			End If
			If mAuswahlZaehler > 1 Then
				For mZaehler = 0 To lvVorhandeneWordpressProjekte.Items.Count -1
					If lvVorhandeneWordpressProjekte.Items(mZaehler).Selected = True Then
						mVorhandenesProjekt =  lvVorhandeneWordpressProjekte.Items.Item(mZaehler).Text
						mOrgSiteURL = lbLocalTunnel.Text & "/mywordpress_projekte/" & mVorhandenesProjekt
						URLSpeichern()
					End If
				Next
			End If
			lvVorhandeneWordpressProjekteFuellen()
		Else
			lbLocalTunnel.Text = "derzeit nicht aktiv"
			If MessageBox.Show("Local Tunnel ist derzeit nicht aktiv!" & Chr(10) & Chr(10) & "Wollen Sie den Local Tunnel Manger starten?" , "Frage", MessageBoxButtons.YesNo, MessageBoxIcon.Question) = Windows.Forms.DialogResult.Yes Then
				Dim LocalTunnel As New System.Diagnostics.Process()
				LocalTunnel.StartInfo.FileName = mInstalVerzeichnis & "Programme\LocalTunnel\LocalTunnel.exe"
				LocalTunnel.StartInfo.WindowStyle = ProcessWindowStyle.Normal
				LocalTunnel.Start()
			End If
		End If
	End Sub
	
	Sub BtLocalHostClick(sender As Object, e As EventArgs)
		If mAuswahlZaehler = 1 Then
			mOrgSiteURL = "http://localhost/mywordpress_projekte/" & mVorhandenesProjekt
			URLSpeichern()
		End If
		If mAuswahlZaehler > 1 Then
			For mZaehler = 0 To lvVorhandeneWordpressProjekte.Items.Count -1
				If lvVorhandeneWordpressProjekte.Items(mZaehler).Selected = True Then
					mVorhandenesProjekt =  lvVorhandeneWordpressProjekte.Items.Item(mZaehler).Text
					mOrgSiteURL = "http://localhost/mywordpress_projekte/" & mVorhandenesProjekt
					URLSpeichern()
				End If
			Next
		End If
		lvVorhandeneWordpressProjekteFuellen()
	End Sub
	
	Sub URLSpeichern
		mySQLConn.ConnectionString = "server=localhost;userid=root;password=''; database=" & mVorhandenesProjekt 
		mySQLConn.Open()
		mySQLBefehl = "update wp_options set option_value = '" & mOrgSiteURL & "' where option_name = 'siteurl';"
		COMMAND = New MySql.Data.MySqlClient.MySqlCommand(mySQLBefehl, mySQLConn)
		COMMAND.ExecuteNonQuery
		READER.Close()
		COMMAND.ExecuteReader.Close()
		mySQLConn.Close()
		mySQLConn.ConnectionString = "server=localhost;userid=root;password=''; database=" & mVorhandenesProjekt
		mySQLConn.Open()
		mySQLBefehl = "update wp_options set option_value = '" & mOrgSiteURL & "' where option_name = 'home';"
		COMMAND = New MySql.Data.MySqlClient.MySqlCommand(mySQLBefehl, mySQLConn)
		COMMAND.ExecuteNonQuery
		READER.Close()
		COMMAND.ExecuteReader.Close()
		mySQLConn.Close()
	End Sub
	
	Sub lvVorhandeneWordpressProjekteFuellen
		lvVorhandeneWordpressProjekte.Items.Clear
		For Each mWordpressProjekt In My.Computer.FileSystem.GetDirectories(mWordpressVerzeichnis)
			mVorhandenesProjekt = Rechts(mWordpressProjekt, Len(mWordpressProjekt) - Len(mWordpressVerzeichnis) - 1)
			mySQLConn.ConnectionString = "server=localhost;userid=root;password=''; database=" & mVorhandenesProjekt
			mySQLConn.Open()
			mySQLBefehl = "Select option_name, option_value from wp_options where option_name = 'siteurl';"
			COMMAND = New MySql.Data.MySqlClient.MySqlCommand(mySQLBefehl, mySQLConn)
			READER = COMMAND.ExecuteReader
			READER.Read
			mSiteURL = READER.GetString(1)
			mOrgSiteURL = mSiteURL
			mSiteURL = Links(mSiteURL,mSiteURL.IndexOf("/mywordpress_projekte"))
			mSiteURL = Rechts(mSiteURL, mSiteURL.Length - 7)
			READER.Close()
			COMMAND.ExecuteReader.Close()
			mySQLConn.Close()
			Dim lvEintrag As New ListViewItem(mVorhandenesProjekt)
			lvEintrag.SubItems.Add(mSiteURL)
			lvVorhandeneWordpressProjekte.Items.Add(lvEintrag)
		Next
	End Sub
	
	Sub EintragMarkieren()
		For mZaehler = 0 To lvVorhandeneWordpressProjekte.Items.Count - 1
			If lvVorhandeneWordpressProjekte.Items.Item(mZaehler).Text = mNeuerProjektname Then
				lvVorhandeneWordpressProjekte.Items(mZaehler).Selected = True
			End If
		Next 
	End Sub
	
	Sub DatenbankenSuchen()
		lfDatenbanken.Items.Clear
		mySQLConn.ConnectionString = "server=localhost;userid=root;password=''"
		mySQLBefehl = "show databases"
		Try
			COMMAND = New MySql.Data.MySqlClient.MySqlCommand(mySQLBefehl, mySQLConn)
			READER = COMMAND.ExecuteReader
			While READER.Read
				lfDatenbanken.Items.Add(READER.GetString(0))
			End While
			READER.Close()
			mySQLConn.Close()
		Catch
		End Try
	End Sub
	
	Sub AlleSchalterDisablen
		btNeuesWordpressProjekt.Enabled = False
		btWordpressProjektKopieren.Enabled = False
		btLoeschen.Enabled = False
		btExport.Enabled = False
		btImport.Enabled = False
		btEnde.Enabled = False
		btAktualisieren.Enabled = False
		btLocalHost.Enabled = False
		btLocalIP.Enabled = False
		btLocalTunnel.Enabled = False
		lblWarten.Visible = True
	End Sub
	
	Sub AlleSchalterEnablen
		btNeuesWordpressProjekt.Enabled = True
		btWordpressProjektKopieren.Enabled = True
		btLoeschen.Enabled = True
		btExport.Enabled = True
		btImport.Enabled = True
		btEnde.Enabled = True
		btAktualisieren.Enabled = True
		btLocalHost.Enabled = True
		btLocalIP.Enabled = True
		btLocalTunnel.Enabled = True
		lblWarten.Visible = False
	End Sub
	
	
	Sub BtAktualisierenClick(sender As Object, e As EventArgs)
		lvVorhandeneWordpressProjekteFuellen
	End Sub
End Class
